module.exports = {
  create: {
    requestBody: [
      "date",
      "arrange_id",
      "openid",
      "order_no",
      "phone",
      "name",
      "status",
      "pay_way",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "date",
      "arrange_id",
      "openid",
      "order_no",
      "phone",
      "name",
      "status",
      "pay_way",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        date: "date",
        openid: "openid",
        order_no: "order_no",
        status: "status",
        "date@start": "date@start",
        "date@end": "date@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
