'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
const { Secret } = require('naf-framework-mongoose/lib/model/schema');
// 管理员表
const admin = {
  name: { type: String }, // 昵称
  login_id: { type: String }, // 登陆id
  password: { type: Secret, select: false }, // 密码
  openid: { type: String }, // 微信openid
  is_root: { type: Boolean, default: false }, // 是总管理员
  remark: { type: String },
};
const schema = new Schema(admin, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Admin', schema, 'admin');
};
