/* eslint valid-jsdoc: "off" */

'use strict';

const { jwt } = require('./config.secret');
/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1624958614917_1342';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'qiuguan',
  };
  config.cluster = {
    listen: {
      port: 11001,
    },
  };
  config.dbName = 'qiuguan';
  config.mongoose = {
    url: `mongodb://localhost:27017/${config.dbName}`,
    options: {
      // user: 'admin',
      // pass: '111111',
      // authSource: 'admin',
      // useNewUrlParser: true,
      // useCreateIndex: true,
    },
  };

  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '123456',
      db: 4,
    },
  };

  return {
    ...config,
    ...userConfig,
  };
};
